#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

void fastIO()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}

int main()
{
    fastIO();

    int n;
    cin >> n;

    vector<long long> divisors;

    for (int i = 1; i * i <= n; ++i)
    {
        if (n % i == 0)
        {
            divisors.push_back(i);

            if (i * i < n)
            {
                divisors.push_back(n / i);
            }
        }
    }

    sort(divisors.begin(), divisors.end());

    int ans = 0;

    for (int i = 0; i < divisors.size(); ++i)
    {
        for (int j = i; j < divisors.size(); ++j)
        {
            long long x = divisors[i] * divisors[j];

            if (x > n)
            {
                break;
            }

            if (n % x == 0)
            {
                long long y = n / x;

                if (y >= divisors[j])
                {
                    ans++;
                }
            }
        }
    }

    cout << ans << endl;

    return 0;
}
